#include <avr/io.h>
#include <avr/sleep.h>
#include <avr/interrupt.h>
#include <stdio.h>
#include "usart.h"
#include "i2c.h"
#include "bmc.h"

int main(void)
{
	DDRB = 0xff;
	PORTB = 0xff;

	usart_init();
	printf("\n");

	i2c_init();

	printf("Waiting for I2C...\n");

	sei();

	while(1) {
#if 1
		sleep_mode();
#endif
	}

	return 0;
}
